Page MenuHomePhabricator

Allow image thumb output format to be specified
Open, LowestPublic

Description

Author: plugwash

Description:
When storing images a lossless format (png seems the best option for us) is
often advisable. However to keep load times down it is often advisable to
convert images to a lossy format for display.

mediawiki doesn't seem to offer this cabability atm (if im wrong please close
this bug report pelease point me to the right place).

i propose a simple extention to the image syntax just allow a section to be the
desired format (identified by its standard 3 letter extention). IE
[[image:bighiggqualityphoto.png|thumb|500px|jpg|this is a photo of something
really interesting.]]


Version: 1.24rc
Severity: enhancement

Details

Reference
bz1316

Event Timeline

bzimport raised the priority of this task from to Lowest.Nov 21 2014, 8:08 PM
bzimport set Reference to bz1316.
bzimport added a subscriber: Unknown Object (MLST).
bzimport created this task.Jan 12 2005, 4:18 AM
demon added a comment.Mar 12 2009, 3:16 PM

Don't see any reason to have users specifying it, this stuff should be handled automatically. WONTFIX?

plugwash wrote:

Don't see any reason to have users specifying it,

The optimum (as in best compromise between quality and size) format for a thumbnail is heavilly dependent on the type of image.

this stuff should be handled automatically.

Do you have an algorithm that can make good descisions about what output format to use?

Either way the current situation of having no way to upload a lossless copy of a photo (to avoid generation loss) while producing lossy (to keep size down) thumbnails from it is pretty poor.

Note, this is possible for tiff images (lossy parameter)

The original request to give the editor the burden of choosing an appropriate format sounds like a potential WONTFIX - how many people would know the advantages of which image file format?
Finding an algorithm to make that decision sounds like a separate request...

Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 6:16 PM
Restricted Application added subscribers: Steinsplitter, Matanya, Aklapper. · View Herald TranscriptSep 4 2015, 6:16 PM
demon removed a subscriber: demon.Mar 9 2017, 9:42 PM
Restricted Application added a project: Commons. · View Herald TranscriptMar 9 2017, 9:42 PM
gpaumier removed a subscriber: gpaumier.Jul 18 2018, 6:06 PM